commit:     c02dabd4c84d394480aa27da41f82c5096991817
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 17:53:25 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 22 17:53:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c02dabd4

sys-devel/slibtool: Don't call cc directly

Closes: https://bugs.gentoo.org/765754
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-devel/slibtool/slibtool-0.5.31.ebuild | 8 +++++++-
 sys-devel/slibtool/slibtool-0.5.32.ebuild | 8 +++++++-
 sys-devel/slibtool/slibtool-9999.ebuild   | 8 +++++++-
 3 files changed, 21 insertions(+), 3 deletions(-)

diff --git a/sys-devel/slibtool/slibtool-0.5.31.ebuild 
b/sys-devel/slibtool/slibtool-0.5.31.ebuild
index eda2745f7f3..8e04399c378 100644
--- a/sys-devel/slibtool/slibtool-0.5.31.ebuild
+++ b/sys-devel/slibtool/slibtool-0.5.31.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=7
 
+inherit toolchain-funcs
+
 # git.foss21.org is the official repository per upstream
 DESCRIPTION="A skinny libtool implementation, written in C"
 HOMEPAGE="https://git.foss21.org/slibtool";
@@ -14,5 +16,9 @@ KEYWORDS="~amd64 ~arm ~ia64 ~sparc"
 
 src_configure() {
        # custom configure script (not generated by autoconf)
-       ./configure --host=${CHOST} --prefix="${EPREFIX}"/usr || die
+       ./configure \
+               --compiler=$(tc-getCC) \
+               --host=${CHOST} \
+               --prefix="${EPREFIX}"/usr \
+                       || die
 }

diff --git a/sys-devel/slibtool/slibtool-0.5.32.ebuild 
b/sys-devel/slibtool/slibtool-0.5.32.ebuild
index a4787084a90..2e1f61f16a7 100644
--- a/sys-devel/slibtool/slibtool-0.5.32.ebuild
+++ b/sys-devel/slibtool/slibtool-0.5.32.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=7
 
+inherit toolchain-funcs
+
 # git.foss21.org is the official repository per upstream
 DESCRIPTION="A skinny libtool implementation, written in C"
 HOMEPAGE="https://git.foss21.org/slibtool";
@@ -19,5 +21,9 @@ SLOT="0"
 
 src_configure() {
        # Custom configure script (not generated by autoconf)
-       ./configure --host=${CHOST} --prefix="${EPREFIX}"/usr || die
+       ./configure \
+               --compiler=$(tc-getCC) \
+               --host=${CHOST} \
+               --prefix="${EPREFIX}"/usr \
+                       || die
 }

diff --git a/sys-devel/slibtool/slibtool-9999.ebuild 
b/sys-devel/slibtool/slibtool-9999.ebuild
index a4787084a90..2e1f61f16a7 100644
--- a/sys-devel/slibtool/slibtool-9999.ebuild
+++ b/sys-devel/slibtool/slibtool-9999.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=7
 
+inherit toolchain-funcs
+
 # git.foss21.org is the official repository per upstream
 DESCRIPTION="A skinny libtool implementation, written in C"
 HOMEPAGE="https://git.foss21.org/slibtool";
@@ -19,5 +21,9 @@ SLOT="0"
 
 src_configure() {
        # Custom configure script (not generated by autoconf)
-       ./configure --host=${CHOST} --prefix="${EPREFIX}"/usr || die
+       ./configure \
+               --compiler=$(tc-getCC) \
+               --host=${CHOST} \
+               --prefix="${EPREFIX}"/usr \
+                       || die
 }

Reply via email to